com.sun.jdi

## Class InvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.jdi.InvocationException

- All Implemented Interfaces:
    Serializable

      public class InvocationException
      extends Exception

  Thrown to indicate an exception occurred in an invoked method within the target VM.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvocationException(ObjectReference exception)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectReference` | `exception()`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationException

          public InvocationException(ObjectReference exception)

  - ### Method Detail

    - #### exception

          public ObjectReference exception()

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.